# anxiety

An way to run multiple SAST tools against your codebase from a singular declarative configuration.

This project assumes environment variables of the following conventions:

```
export SNYK_TOKEN='<UUID HERE>'
export WHITESOURCE_API_KEY='<API KEY HERE>'
export SONAR_TOKEN='<TOKEN HERE>'
```

To configure, place an rc configuration file in the root of your project named '.anxietyrc'. The following options are valid:

```
{
    "snyk": {
        "run": false
    },
    "whitesource": {
        "run": true
    },
    "sonar": {
        "run": false
    }
}
```

'run' is a boolean value

To run anxiety, install globally - `npm install -g anxiety`

Then in your project root, run `anxiety`
