#!/usr/bin/env bash

whitesourceVersion="18.3.1"
sonarVersion="3.1.0.1141"

curl -L https://s3.amazonaws.com/file-system-agent/whitesource-fs-agent-"$whitesourceVersion".jar -o ./cli/scanners/whitesource-fs-agent-"$whitesourceVersion".jar

curl -L https://sonarsource.bintray.com/Distribution/sonar-scanner-cli/sonar-scanner-cli-"$sonarVersion".zip -o ./cli/scanners/sonar-scanner-cli-"$sonarVersion".zip &&
  unzip -jo sonar-scanner-cli-"$sonarVersion".zip sonar-scanner-"$sonarVersion"/lib/sonar-scanner-cli-"$sonarVersion".jar  &&
  rm sonar-scanner-cli-"$sonarVersion".zip
